#!/bin/bash

cd ..

## get dependencies
git clone git@gitea.cjvt.si:redmine_projects/nova_slovnica.git
git clone git@gitea.cjvt.si:ozbolt/luscenje_struktur.git
git clone git@gitea.cjvt.si:generic/data_admin.git
git clone git@gitea.cjvt.si:generic/xml_schemas.git
scp -P 3022 proc1.cjvt.si:/net/nas/resources/miscellaneous/structures/structures.xml .

## prepare python environment
python3 -m venv venv
source venv/bin/activate
pip install wheel
pip install lxml
pip install psycopg2cffi
pip install sqlalchemy
pip install classla
python -c "import classla; classla.download('sl', type='standard_jos')" <<< $'Y\nresources/classla'
pip install obeliks
pip install nova_slovnica/python/package/
pip install luscenje_struktur/
pip install package/
deactivate

## put needed resources in place
cd resources
ln -s ../luscenje_struktur/wani.py .
ln -s ../nova_slovnica/resources/dict.xml .
ln -s ../data_admin/resources/structures.xsd .
ln -s ../xml_schemas/resources/schema/inventory.xsd .
ln -s ../xml_schemas/resources/schema/monolingual_dictionaries.xsd .
mv ../structures.xml .
cd ..
